> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1billingplans



## OpenAPI

````yaml /api-reference/openapi.json post /v1/billing/plans
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/billing/plans:
    post:
      tags:
        - Plans
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelsPlansSBBillingPlan'
          text/json:
            schema:
              $ref: '#/components/schemas/ModelsPlansSBBillingPlan'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ModelsPlansSBBillingPlan'
      responses:
        '201':
          description: Created
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ModelsPlansSBBillingPlan'
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsPlansSBBillingPlan'
            text/json:
              schema:
                $ref: '#/components/schemas/ModelsPlansSBBillingPlan'
components:
  schemas:
    ModelsPlansSBBillingPlan:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        key:
          type: string
          nullable: true
        price:
          type: number
          format: double
        currency:
          type: string
          nullable: true
        isActive:
          type: boolean
        isRecurring:
          type: boolean
        billingPeriod:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
        stripeId:
          type: string
          nullable: true
      additionalProperties: false

````